#!./bin/python3

import sys, os, time
import yaml

# Include pygame without support prompt
# Typing only available from version >= 2.0

os.environ['PYGAME_HIDE_SUPPORT_PROMPT'] = "hide"
import pygame # type: ignore

from display import Display

# Configuration

config = yaml.safe_load(open("config.yml"))

fbdev = config.get("fbdev", "/dev/fb1")
dx = config.get("dimx", 128)
dy = config.get("dimy", 160)

# Initialise pygame

os.environ["SDL_FBDEV"] = fbdev
pygame.init()

# Create the display

pydsp = pygame.display.set_mode((dx, dy), 0, 32)
pygame.display.set_caption("Musikautomat")
pygame.mouse.set_visible(False)

# Initialise state objects

display = Display(config, pydsp)
display.update()
clk = pygame.time.Clock()

# Run the game loop

while True:
    clk.tick(10) # We only need 10 FPS

    for event in pygame.event.get():
        if event.type == pygame.QUIT:
            pygame.quit()
            sys.exit()
        if event.type == pygame.KEYDOWN:
            if event.key == pygame.K_LEFT:
                print("1")
            if event.key == pygame.K_RIGHT:
                print("2")



    pygame.display.update()
